summaryrefslogtreecommitdiff
path: root/source/script/tests/test_net_s3.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source/script/tests/test_net_s3.sh')
-rwxr-xr-xsource/script/tests/test_net_s3.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/source/script/tests/test_net_s3.sh b/source/script/tests/test_net_s3.sh
new file mode 100755
index 00000000000..24732580fae
--- /dev/null
+++ b/source/script/tests/test_net_s3.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# tests for the "net" command
+
+incdir=`dirname $0`
+. $incdir/test_functions.sh
+
+failed=0
+
+net_misc() {
+ echo "Running misc tests"
+ $SCRIPTDIR/test_net_misc.sh \
+ || failed=`expr $failed + $?`
+}
+
+net_registry() {
+ echo "Running registry tests"
+ $SCRIPTDIR/test_net_registry.sh \
+ || failed=`expr $failed + $?`
+}
+
+net_misc
+net_registry
+
+testok $0 $failed
+